Manifest-Version: 1.0
Bnd-LastModified: 1750317121143
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Object API
Bundle-SymbolicName: com.liferay.object.api
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 43.0.0.hotfix-6698-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Export-Package: com.liferay.object.action.engine;version="2.0.0.hotfix
 -6698-7413";uses:="com.liferay.portal.kernel.json",com.liferay.object
 .action.executor;version="3.0.0.hotfix-6698-7413";uses:="com.liferay.
 portal.kernel.json,com.liferay.portal.kernel.util",com.liferay.object
 .action.trigger;version="2.0.0.hotfix-6698-7413",com.liferay.object.c
 onfiguration;version="1.0.0.hotfix-6698-7413";uses:="aQute.bnd.annota
 tion.metatype,com.liferay.portal.configuration.metatype.annotations",
 com.liferay.object.constants;version="4.1.0.hotfix-6698-7413",com.lif
 eray.object.deployer;version="1.0.0.hotfix-6698-7413";uses:="com.life
 ray.object.model,org.osgi.framework",com.liferay.object.exception;ver
 sion="11.0.0.hotfix-6698-7413";uses:="com.liferay.portal.kernel.excep
 tion",com.liferay.object.field.builder;version="1.2.0.hotfix-6698-741
 3";uses:="com.liferay.object.model",com.liferay.object.field.business
 .type;version="4.1.0.hotfix-6698-7413";uses:="com.liferay.object.fiel
 d.render,com.liferay.object.model,com.liferay.portal.kernel.exception
 ,com.liferay.portal.vulcan.extension",com.liferay.object.field.filter
 .parser;version="3.0.0.hotfix-6698-7413";uses:="com.liferay.frontend.
 data.set.filter,com.liferay.list.type.service,com.liferay.object.mode
 l,com.liferay.object.service,com.liferay.object.system,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.json,com.liferay.port
 al.kernel.language,com.liferay.portal.kernel.service",com.liferay.obj
 ect.field.frontend.data.set.filter;version="1.0.0.hotfix-6698-7413";u
 ses:="com.liferay.frontend.data.set.filter",com.liferay.object.field.
 render;version="2.0.0.hotfix-6698-7413";uses:="javax.servlet.http",co
 m.liferay.object.model;version="7.2.0.hotfix-6698-7413";uses:="com.li
 feray.exportimport.kernel.lar,com.liferay.petra.sql.dsl,com.liferay.p
 etra.sql.dsl.base,com.liferay.portal.kernel.annotation,com.liferay.po
 rtal.kernel.bean,com.liferay.portal.kernel.exception,com.liferay.port
 al.kernel.model,com.liferay.portal.kernel.model.wrapper,com.liferay.p
 ortal.kernel.util",com.liferay.object.notification.term.util;version=
 "1.0.0.hotfix-6698-7413",com.liferay.object.related.models;version="3
 .0.0.hotfix-6698-7413";uses:="com.liferay.object.model,com.liferay.po
 rtal.kernel.exception,com.liferay.portal.kernel.model",com.liferay.ob
 ject.rest.context.path;version="1.0.0.hotfix-6698-7413",com.liferay.o
 bject.scope;version="1.0.0.hotfix-6698-7413";uses:="com.liferay.porta
 l.kernel.exception,javax.servlet.http",com.liferay.object.service;ver
 sion="29.2.0.hotfix-6698-7413";uses:="com.liferay.exportimport.kernel
 .lar,com.liferay.object.model,com.liferay.object.system,com.liferay.p
 etra.sql.dsl,com.liferay.petra.sql.dsl.expression,com.liferay.petra.s
 ql.dsl.query,com.liferay.petra.sql.dsl.query.sort,com.liferay.portal.
 kernel.dao.orm,com.liferay.portal.kernel.exception,com.liferay.portal
 .kernel.jsonwebservice,com.liferay.portal.kernel.model,com.liferay.po
 rtal.kernel.search,com.liferay.portal.kernel.security.access.control,
 com.liferay.portal.kernel.service,com.liferay.portal.kernel.service.p
 ersistence,com.liferay.portal.kernel.systemevent,com.liferay.portal.k
 ernel.transaction,com.liferay.portal.kernel.util",com.liferay.object.
 service.persistence;version="4.1.0.hotfix-6698-7413";uses:="com.lifer
 ay.object.exception,com.liferay.object.model,com.liferay.portal.kerne
 l.dao.orm,com.liferay.portal.kernel.service,com.liferay.portal.kernel
 .service.persistence,com.liferay.portal.kernel.util",com.liferay.obje
 ct.system;version="8.0.0.hotfix-6698-7413";uses:="com.liferay.object.
 model,com.liferay.petra.sql.dsl,com.liferay.portal.kernel.exception,c
 om.liferay.portal.kernel.model",com.liferay.object.util;version="4.0.
 0.hotfix-6698-7413";uses:="com.liferay.object.model,com.liferay.porta
 l.kernel.exception,com.liferay.portal.kernel.json",com.liferay.object
 .validation.rule;version="3.0.0.hotfix-6698-7413"
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.document.library.kernel.model;version="7.0",com.liferay.document.l
 ibrary.kernel.service;version="7.2",com.liferay.exportimport.kernel.l
 ar;version="4.3",com.liferay.frontend.data.set.filter;version="6.0",c
 om.liferay.list.type.model;version="2.0",com.liferay.list.type.servic
 e;version="1.3",com.liferay.object.exception;version="11.0",com.lifer
 ay.object.field.frontend.data.set.filter;version="1.0",com.liferay.ob
 ject.field.render;version="2.0",com.liferay.object.model;version="7.2
 ",com.liferay.object.service;version="29.2",com.liferay.object.system
 ;version="8.0",com.liferay.object.util;version="4.0",com.liferay.petr
 a.sql.dsl;version="1.1",com.liferay.petra.sql.dsl.base;version="1.0",
 com.liferay.petra.sql.dsl.expression;version="1.4",com.liferay.petra.
 sql.dsl.query;version="2.0",com.liferay.petra.sql.dsl.query.sort;vers
 ion="1.0",com.liferay.petra.string;version="1.7",com.liferay.portal.c
 onfiguration.metatype.annotations;version="1.5",com.liferay.portal.ke
 rnel.annotation;version="7.0",com.liferay.portal.kernel.bean;version=
 "10.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.liferay.p
 ortal.kernel.exception;version="12.3",com.liferay.portal.kernel.json;
 version="11.0",com.liferay.portal.kernel.jsonwebservice;version="9.0"
 ,com.liferay.portal.kernel.language;version="11.0",com.liferay.portal
 .kernel.log;version="7.1",com.liferay.portal.kernel.model;version="24
 .0",com.liferay.portal.kernel.model.wrapper;version="3.0",com.liferay
 .portal.kernel.search;version="17.0",com.liferay.portal.kernel.securi
 ty.access.control;version="2.0",com.liferay.portal.kernel.service;ver
 sion="17.0",com.liferay.portal.kernel.service.persistence;version="16
 .0",com.liferay.portal.kernel.systemevent;version="6.2",com.liferay.p
 ortal.kernel.transaction;version="8.1",com.liferay.portal.kernel.util
 ;version="45.0",com.liferay.portal.kernel.workflow;version="17.2",com
 .liferay.portal.vulcan.extension;version="4.0",com.liferay.portal.vul
 can.util;version="4.1",javax.servlet.http,org.osgi.framework;version=
 "1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Object
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Require-Capability: osgi.contract;osgi.contract=JavaServlet;filter:="(
 &(osgi.contract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osg
 i.ee=JavaSE)(version=1.8))"
Tool: Bnd-4.3.0.201909301554

